Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class ContextParamSpecifiedJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.WebContentRelativeJSFAppConfigLocater
              org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.ContextParamSpecifiedJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

public class ContextParamSpecifiedJSFAppConfigLocater
extends WebContentRelativeJSFAppConfigLocater

ContextParamSpecifiedJSFAppConfigLocater attempts to locate application configuration files specified by the JSF CONFIG_FILES context parameter.

Field Summary
`protected org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.ContextParamSpecifiedJSFAppConfigLocater.ContextParamAdapter` | `contextParamAdapter` Cached instance of ContextParamAdapter.

Fields inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
`configProviders, manager`

Constructor Summary
`ContextParamSpecifiedJSFAppConfigLocater()`

Method Summary
`protected java.util.List` | `getFilenames()` Gets a list of Strings representing the filenames (relative to the web content folder) that locateProviders() will attempt to locate.
`void` | `startLocating()` Starts locating JSF application configuration resources.
`void` | `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.WebContentRelativeJSFAppConfigLocater
`locateProviders`

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigLocater
`addConfigProvider, finalize, getJSFAppConfigManager, getJSFAppConfigProviders, removeAllConfigProviders, removeConfigProvider, setJSFAppConfigManager, updateConfigProviders`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextParamAdapter

    protected org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.ContextParamSpecifiedJSFAppConfigLocater.ContextParamAdapter contextParamAdapter

  Cached instance of ContextParamAdapter.

Constructor Detail

### ContextParamSpecifiedJSFAppConfigLocater

    public ContextParamSpecifiedJSFAppConfigLocater()

Method Detail

### startLocating

    public void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `startLocating` in class `AbstractJSFAppConfigLocater`

### stopLocating

    public void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `stopLocating` in class `AbstractJSFAppConfigLocater`

### getFilenames

    protected java.util.List getFilenames()

  Description copied from class: `WebContentRelativeJSFAppConfigLocater`
  Gets a list of Strings representing the filenames (relative to the web content folder) that locateProviders() will attempt to locate.

  Specified by:
    `getFilenames` in class `WebContentRelativeJSFAppConfigLocater`
  Returns:
    A list of Strings representing the filenames (relative to the web content folder) that locateProviders() will attempt to locate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD